
clear 
set more off
capture log close 

global inputdata = "Q:\Team\Tefera\Food_assessment\Final\"
global outputdata = "Q:\Team\Tefera\Food_assessment\Final\"

global logfile = "Q:\Team\Tefera\Food_assessment\Final\food_ass_edit_log.log"
log using "$logfile", replace

use "$inputdata\HCES assessment 2012__100-country dataset_with_labels.dta", clear
*********************************************************************
*********************************************************************
**     DATE:       January 2014
**     PROGRAM:    Data Cleaning
**     AUTHOR:     LSmith and Compiled in one program by Tefera
**     INFILE:     HCES assessment 2012__100-country dataset_with_labels.dta 
**     OUTFILE:    HCES_food_assessment_edited.dta 
**     PURPOSE:    This program compile the data cleaning that had been done in 
**			       different data analysis stages. 
**				   Note: This program does not include data cleaning that was done in 
**                 while Comprehensiveness and Specificity of food list analysis was done.
*********************************************************************
*********************************************************************

* Generate region information
gen region=1 if inlist(country,"Angola","Benin","Burkina Faso","Burundi","Cameroun","Cape Verde")
replace region=1 if inlist(country,"Chad","Congo, Dem. Rep.","Cte d'Ivoire","Djibouti","Ethiopia","Gabon")
replace region=1 if inlist(country,	"Gambia","Ghana","Guinea","Guinea-Bissau","Kenya","Lesotho","Liberia","Madagascar")
replace region=1 if inlist(country,"Malawi","Mali","Mauritania","Mozambique","Niger","Nigeria","Republic of Congo","Rwanda")
replace region=1 if inlist(country,"Sao Tome e Principe","Senegal","Seychelles","Sierra Leone","South Africa","Sudan")
replace region=1 if inlist(country,"Swaziland","Tanzania","Togo","Uganda","Union des Comores","Zambia")

replace region=2 if inlist(country,"Afghanistan","Bangladesh","Bhutan","India","Maldives","Nepal","Pakistan","Sri Lanka")
replace region=3 if inlist(country,"Cambodia","Fiji","Indonesia","Lao PDR","Mongolia","Myanmar","Papua New Guinea")
replace region=3 if inlist(country,"Philippines","Republic of the Marshall Islands","Thailand","Timor-Leste","Vanuatu","Vietnam")
replace region=4 if inlist(country,"Egypt","Iraq","Morocco","Tunisia","Yemen")
replace region=5 if inlist(country,"Albania","Armenia","Azerbaijan","Belarus","Bosnia and Herzegovina","Bulgaria")
replace region=5 if inlist(country,"Georgia","Kazakhstan","Kosovo","Latvia","Lithuania","Montenegro","Romania")
replace region=5 if inlist(country,"Russia","Tajikistan","Turkmenistan","Ukraine","Uzbekistan")
replace region=6 if inlist(country,"Belize","Bolivia","Brazil","Colombia","Dominica","Ecuador","El Salvador")
replace region=6 if inlist(country,"Guatemala","Honduras","Jamaica","Mexico","Nicaragua","Panama","Paraguay","Peru","St. Lucia")

la var region "Region"	
la def region 1 "Sub-Saharan Africa" 2 "South Asia" 3 "East Asia and the Pacific" 4 "Middle East and North Africa" 5 "Europe and Central Asia" 6 "Latin America and the Caribbean"
la val region region
*************************************************************************************************************************************

* Reference year
gen ref_year=3 if C1=="AFG_2007_NRVA_v2.1.pdf"
replace ref_year=3 if C1=="AGO_2008_IBEP_MICS_v2.1.pdf"
replace ref_year=3 if C1=="ALB_2005_LSMS_v2.1.pdf"
replace ref_year=3 if C1=="ARM_2009_ILCS_v2.1.pdf"
replace ref_year=2 if C1=="AZE_2001_HBS_v2.1.pdf"
replace ref_year=3 if C1=="BDI_2006_QUIBB_v2.1.pdf"
replace ref_year=2 if C1=="BEN_2003_QUIBB_v2.1.pdf"
replace ref_year=3 if C1=="BFA_2009_ECVM_v2.1.pdf"
replace ref_year=4 if C1=="BGD_2010_HIES_v2.1.pdf"
replace ref_year=2 if C1=="BGR_2003_MTHS_v2.1.pdf"
replace ref_year=2 if C1=="BIH_2004_HBS_v2.1.pdf"
replace ref_year=2 if C1=="BLR_2002_HHS_v2.1.pdf"
replace ref_year=3 if C1=="BLZ_2008_HES_v2.1.pdf"
replace ref_year=3 if C1=="BOL_2007_EH_v2.1.pdf"
replace ref_year=3 if C1=="BRA_2008_POF_v2.1.pdf"
replace ref_year=3 if C1=="BTN_2007_BLSS_v2.1.pdf"
replace ref_year=3 if C1=="CIV_2008_ENV_v2.1.pdf"
replace ref_year=3 if C1=="CMR_2007_ECAM-III_v2.1.pdf"
replace ref_year=2 if C1=="COD_2004_E123_v2.1.pdf"
replace ref_year=3 if C1=="COG_2005_ECOM_v2.1.pdf"
replace ref_year=4 if C1=="COL_2010_ECV_v2.1.pdf"
replace ref_year=2 if C1=="COM_2004_EIM_v2.1.pdf"
replace ref_year=2 if C1=="CPV_2001_IDRF_v2.1.pdf"
replace ref_year=1 if C1=="DJI_1996_EDAM_v2.1.pdf"
replace ref_year=2 if C1=="DMA_2002_LSS_v2.1.pdf"
replace ref_year=3 if C1=="ECU_2005_ECV_v2.1.pdf"
replace ref_year=1 if C1=="EGY_1999_EIHS_v2.1.pdf"
replace ref_year=2 if C1=="ETH_2004_HIECS_v2.1.pdf"
replace ref_year=2 if C1=="FJI_2002_HIES_v2.1.pdf"
replace ref_year=3 if C1=="GAB_2005_EGEP_v2.1.pdf"
replace ref_year=3 if C1=="GEO_2007_HIS_v2.1.pdf"
replace ref_year=3 if C1=="GHA_2006_GLSS_v2.1.pdf"
replace ref_year=3 if C1=="GIN_2007_ELEP_v2.1.pdf"
replace ref_year=2 if C1=="GMB_2003_IHS_v2.1.pdf"
replace ref_year=1 if C1=="GNB_1993_ICOF_v2.1.pdf"
replace ref_year=3 if C1=="GTM_2006_ENCOVI_v2.1.pdf"
replace ref_year=2 if C1=="HND_2004_ENCOVI_v2.1.pdf"
replace ref_year=2 if C1=="IDN_2002_SUSENAS_v2.1.pdf"
replace ref_year=3 if C1=="IND_2009_NSS66-SCH1.0-T1_v2.1.pdf"
replace ref_year=3 if C1=="IRQ_2006_IHSES_v2.1.pdf"
replace ref_year=3 if C1=="JAM_2007_SLC_v2.1.pdf"
replace ref_year=3 if C1=="KAZ_2009_HBS_v2.1.pdf"
replace ref_year=3 if C1=="KEN_2005_IHBS_v2.1.pdf"
replace ref_year=3 if C1=="KHM_2009_CSES_v2.1.pdf"
replace ref_year=2 if C1=="KSV_2000_LSMS_v2.1.pdf"
replace ref_year=3 if C1=="LAO_2007_LECS_v2.1.pdf"
replace ref_year=3 if C1=="LBR_2007_CWIQ_v2.1.pdf"
replace ref_year=3 if C1=="LCA_2005_SLC_HBS_v2.1.pdf"
replace ref_year=3 if C1=="LKA_2006_HIES_v2.1.pdf"
replace ref_year=2 if C1=="LSO_2002_HBS_v2.1.pdf"
replace ref_year=2 if C1=="LTU_2003_HBS_v2.1.pdf"
replace ref_year=3 if C1=="LVA_2007_HBS_v2.1.pdf"
replace ref_year=2 if C1=="MAR_2000_ENCDM_v2.1.pdf"
replace ref_year=3 if C1=="MDG_2005_EPM_v2.1.pdf"
replace ref_year=2 if C1=="MDV_2004_VPA_v2.1.pdf"
replace ref_year=4 if C1=="MEX_2010_ENIGH_v2.1.pdf"
replace ref_year=3 if C1=="MLI_2006_ELIM_v2.1.pdf"
replace ref_year=3 if C1=="MNE_2009_HBS_v2.1.pdf"
replace ref_year=3 if C1=="MNG_2007_SES_v2.1.pdf"
replace ref_year=3 if C1=="MNY_2006_HIES_v2.1.pdf"
replace ref_year=3 if C1=="MOZ_2008_IOF_v2.1.pdf"
replace ref_year=2 if C1=="MRT_2004_EPCV_v2.1.pdf"
replace ref_year=2 if C1=="MWI_2004_IHS_v2.1.pdf"
replace ref_year=4 if C1=="NGA_2010_GHS_v2.1.pdf"
replace ref_year=3 if C1=="NIC_2005_EMNV_v2.1.pdf"
replace ref_year=3 if C1=="NIG_2007_ENBC_v2.1.pdf"
replace ref_year=4 if C1=="NPL_2010_LSS-III_v2.1.pdf"
replace ref_year=2 if C1=="PAK_2004_PSLM_v2.1.pdf"
replace ref_year=3 if C1=="PAN_2008_ENV_v2.1.pdf"
replace ref_year=4 if C1=="PER_ENAHO_2010_v2.1.pdf"
replace ref_year=3 if C1=="PHL_2006_FIES_v2.1.pdf"
replace ref_year=1 if C1=="PNG_1996_HS_v2.1.pdf"
replace ref_year=2 if C1=="PRY_2000_EIH_v2.1.pdf"
replace ref_year=2 if C1=="RMI_2002_HIES_v2.1.pdf"
replace ref_year=3 if C1=="ROU_2007_HBS_v2.1.pdf"
replace ref_year=3 if C1=="RUS_2008_HBS_v2.1.pdf"
replace ref_year=3 if C1=="RWA_2005_EICV_v2.1.pdf"
replace ref_year=3 if C1=="SDN_2009_NBHS_v2.1.pdf"
replace ref_year=3 if C1=="SEN_2005_ESPS_v2.1.pdf"
replace ref_year=2 if C1=="SLE_2003_IHS_v2.1.pdf"
replace ref_year=3 if C1=="SLV_2009_EHPM_v2.1.pdf"
replace ref_year=2 if C1=="STP_2000_ECVM_v2.1.pdf"
replace ref_year=2 if C1=="SWZ_2000_HIES_v2.1.pdf"
replace ref_year=1 if C1=="SYC_1999_HES_v2.1.pdf"
replace ref_year=2 if C1=="TCD_2003_ECOSIT_v2.1.pdf"
replace ref_year=3 if C1=="THA_2009_HSES_v2.1.pdf"
replace ref_year=3 if C1=="TJK_2009_LSMS_v2.1.pdf"
replace ref_year=2 if C1=="TKM_2003_LSMS_v2.1.pdf"
replace ref_year=3 if C1=="TLS_2006_SLS_v2.1.pdf"
replace ref_year=3 if C1=="TOG_2006_QUIBB_v2.1.pdf"
replace ref_year=3 if C1=="TUN_2005_EBC_v2.1.pdf"
replace ref_year=3 if C1=="TZA_2008_NPSY1_v2.1.pdf"
replace ref_year=3 if C1=="UGA_2009_UNHS_v2.1.pdf"
replace ref_year=3 if C1=="UKR_2006_HCES_v2.1.pdf"
replace ref_year=2 if C1=="UZB_2000_HBS_v2.1.pdf"
replace ref_year=4 if C1=="VAN_2012_HS_v2.1.pdf"
replace ref_year=3 if C1=="VNM_2008_VHLSS_v2.1.pdf"
replace ref_year=3 if C1=="YEM_2005_HBS_v2.1.pdf"
replace ref_year=3 if C1=="ZAF_2005_IES_v2.1.pdf"
replace ref_year=3 if C1=="ZMB_2006_LCMS-V_v2.1.pdf"

la var ref_year "Reference year"
la def ref_year 1 "Before 2000" 2 "2000-2004" 3 "2005-2009" 4 "2010 and later"
la val ref_year ref_year

order C1 country region ref_year

************************************************************************************************************
* Section 2 - cleaning
************************************************************************************************************
*We will treat Tunisia as an interview survey since the diary data appear to be for a food consumption survey rather than HCES;
replace Q2_1=1 if country=="Tunisia" /*  this change only apply for at-home food; for food consumed away from home the employed method is "Diary" */

************************************************************************************************************
* Section 3 - cleaning
************************************************************************************************************
*Corrections for Russia, Ukraine, and Kazakstan (made change on forms);
replace Q3_1=2 if inlist(country,"Russia","Ukraine","Kazakhstan")
*Correction for Romania (made change on form);
replace Q3_1=3 if country=="Romania"

************************************************************************************************************
* Section 4 - cleaning
************************************************************************************************************
*** Transform Q4_1h_spec (where "other" recall periods are specified) into numeric format
gen Q4_1h_spec_num=1 if country=="Tunisia"
la var Q4_1h_spec_num "Numeric format of variable 'Q4_1h_spec'"
replace Q4_1h_spec_num=2 if inlist(country, "Bangladesh","Ghana")
replace Q4_1h_spec_num=3 if country=="Rwanda"
replace Q4_1h_spec_num=90 if inlist(country,"Republic of Congo","Georgia","Kazakhstan","Sierra Leone")
replace Q4_1h_spec_num=120 if country=="Chad"

replace Q4_1h_spec_num=365 if inlist(country,"Vietnam","Bulgaria","Bosnia and Herzegovina")
replace Q4_1h_spec_num=365 if inlist(country,"Bhutan","Congo, Dem. Rep.","Union des Comores","Guatemala","Kosovo","Morocco")
replace Q4_1h_spec_num=365 if inlist(country,"Mali","Myanmar","Mauritania","Panama","Senegal","Turkmenistan")

************************************************************************************************************
* Section 5 - cleaning
************************************************************************************************************
replace Q5_2=2 if country=="Thailand"

************************************************************************************************************
* Section 6 - cleaning
************************************************************************************************************
* Make corrections for Honduras (made correction on form itself as well)
replace Q6_2a=0 if country=="Honduras" /* it was Q6_2a=1 */
* Correction to Paraguay form (also made on form)
replace Q6_2a=6 if country=="Paraguay" /* it was Q6_2a=1 */
* Correction:  Tanzania should have 4 food items
replace Q6_2a=4 if country=="Tanzania" /* it was Q6_2a=1 */
* Correction to Egypt form (also made on form)
replace Q6_2a=5 if country=="Egypt" /* it was Q6_2a=1 */

** we need to update Q6_1 variable for the following coutries "Honduras", "Paraguay", "Tanzania", "Egypt"
* since Q6_1 is the sum of Q6_2a + Q6_49
replace Q6_1=132 if country=="Honduras" /* it was Q6_1=133 */
* Correction to Paraguay form (also made on form)
replace Q6_1=176 if country=="Paraguay" /* it was Q6_1=171 */
* Correction:  Tanzania should have 4 food items
replace Q6_1=63 if country=="Tanzania" /* it was Q6_1=60 */
* Correction to Egypt form (also made on form)
replace Q6_1=125 if country=="Egypt" /* it was Q6_1=121 */

************************************************************************************************************
* Section 7 - cleaning
************************************************************************************************************
replace Q7_3=0 if inlist(country,"Egypt","Republic of Congo","Ethiopia","Kenya","Lithuania","Morocco","Maldives")
replace Q7_3=0 if inlist(country,"Niger","Nepal","Republic of the Marshall Islands","Tanzania","Yemen")
replace Q7_3a=97 if country=="Myanmar"

replace Q7_4=2 if country=="Egypt"
replace Q7_5=1 if country=="Egypt"

* Correction for Mexico
replace Q7_6=1 if country=="Mexico"
replace Q7_7=1 if country=="Mexico"
*Note: For present purposes consider Philippines to not be evaluable here
replace Q7_7=1 if country=="Philippines"
*This replaces "correction" made above
replace Q7_7=2 if country=="Philippines"

replace Q7_8=0 if inlist(country,"Egypt","Republic of Congo","Ethiopia","Kenya","Lithuania","Maldives","Niger")
replace Q7_8=0 if inlist(country,"Nepal","Republic of the Marshall Islands","Tanzania","Yemen","Fiji","Georgia")
replace Q7_8=0 if inlist(country,"Papua New Guinea","Madagascar")

replace Q7_9=1 if country=="Madagascar"
replace Q7_9=2 if country=="Egypt"
replace Q7_10=1 if country=="Egypt"

* Correction for Albania (made on form itself as well)
replace Q7_11=2 if country=="Albania"
replace Q7_12=2 if country=="Albania" 


replace Q7_13=0 if inlist(country,"Egypt","Republic of Congo","Ethiopia","Kenya","Lithuania","Maldives","Niger")
replace Q7_13=0 if inlist(country,"Nepal","Republic of the Marshall Islands","Tanzania","Yemen","Fiji")

replace Q7_14=2 if country=="Egypt"
replace Q7_15=1 if country=="Egypt"

*Data are not collected individually for HP and IK in Myanmar, but this correction still applies
replace Q7_7=1 if country=="Myanmar"
replace Q7_8=144 if country=="Myanmar"
replace Q7_13=144 if country=="Myanmar"
replace Q7_12=1 if country=="Myanmar"
replace Q7_8a=97 if country=="Myanmar"
replace Q7_13a=97 if country=="Myanmar"


replace Q7_5b=1 if country=="Morocco"
replace Q7_10b=1 if country=="Morocco"
replace Q7_15b=1 if country=="Morocco"

replace Q7_1a=122 if country=="Yemen"
replace Q7_2a=106 if country=="Yemen"
replace Q7_3=106 if country=="Yemen"
replace Q7_3a=99 if country=="Yemen"
replace Q7_4=99 if country=="Yemen"

replace Q7_6a=122 if country=="Yemen"
replace Q7_7a=106 if country=="Yemen"
replace Q7_8=106 if country=="Yemen"
replace Q7_8a=99 if country=="Yemen"
replace Q7_9=99 if country=="Yemen"

replace Q7_11a=122 if country=="Yemen"
replace Q7_12a=106 if country=="Yemen"
replace Q7_13=106 if country=="Yemen"
replace Q7_13a=99 if country=="Yemen"
replace Q7_14=99 if country=="Yemen"

replace Q7_18=4 if country=="Paraguay"

replace Q7_3=0 if country=="Burkina Faso"
replace Q7_8=0 if country=="Burkina Faso"
replace Q7_13=0 if country=="Burkina Faso"

replace Q7_4=2 if country=="Burkina Faso"
replace Q7_9=2 if country=="Burkina Faso"
replace Q7_14=2 if country=="Burkina Faso"
  
replace Q7_5=1 if country=="Burkina Faso"
replace Q7_10=1 if country=="Burkina Faso"
replace Q7_15=1 if country=="Burkina Faso"

replace Q7_5a=6 if country=="Burkina Faso"
replace Q7_10a=6 if country=="Burkina Faso"
replace Q7_15a=6 if country=="Burkina Faso"

replace Q7_5b=55 if country=="Burkina Faso"
replace Q7_10b=55 if country=="Burkina Faso"
replace Q7_15b=55 if country=="Burkina Faso"

replace Q7_5a=10 if country=="Egypt"
replace Q7_10a=10 if country=="Egypt"
replace Q7_15a=10 if country=="Egypt"

replace Q7_5b=6 if country=="Egypt"
replace Q7_10b=6 if country=="Egypt"
replace Q7_15b=6 if country=="Egypt"

replace Q7_18=2 if country=="Ecuador"

replace Q7_5c=2 if country=="Bolivia"
replace Q7_5d=1 if country=="Bolivia"
replace Q7_10c=2 if country=="Bolivia"
replace Q7_10d=1 if country=="Bolivia"
replace Q7_15c=2 if country=="Bolivia"
replace Q7_15d=1 if country=="Bolivia"

replace Q7_10b=0 if country=="Russia"
replace Q7_15b=0 if country=="Russia"

replace Q7_18=1 if country=="Papua New Guinea"
replace Q7_18a=20 if country=="Papua New Guinea"

replace Q7_18=1 if country=="Kenya"

replace Q7_3=140 if country=="India"

replace Q7_3a=85 if country=="Turkmenistan"
replace Q7_3a=411 if country=="Tunisia"

replace Q7_8=48 if country=="St. Lucia"
replace Q7_8=114 if country=="Mongolia"
replace Q7_8=0 if country=="Belize"
replace Q7_7a=48 if country=="St. Lucia"
replace Q7_8a=85 if country=="Turkmenistan"
replace Q7_8a=411 if country=="Tunisia"
replace Q7_8a=35 if country=="St. Lucia"
replace Q7_6a=0 if country=="Armenia"

replace Q7_12=1 if country=="Brazil"
replace Q7_13=0 if country=="Chad" | country=="Congo, Dem. Rep."
replace Q7_15=0 if country=="Chad"

replace Q7_13a=85 if country=="Turkmenistan"
replace Q7_13a=411 if country=="Tunisia"

*replace Q7_1=143 if country=="Togo" 
replace Q7_1a=143 if country=="Togo"

replace Q7_6a=3 if country=="Senegal"

*For Pakistan, we will assume the unit of measure is pre-specified for all food items even though there are some "blanks"--presumably
*the interviewers specified the units of measure to respondents;
replace Q7_8=92 if country=="Pakistan"

*For Pakistan, we will assume the unit of measure is pre-specified for all food items even though there are some "blanks"--presumably
*the interviewers specified the unit of measure to respondents;
replace Q7_13=92 if country=="Pakistan"

************************************************************************************************************
* Section 8 - cleaning
************************************************************************************************************
* Make corrections for Honduras (made correction on form itself as well)
replace Q8_2=1 if country=="Honduras"
replace Q8_4=1 if country=="Honduras"
* Correction to Benin form (also made on form)
replace Q8_4=2 if country=="Benin"
* Make correction for Maldives (also made to form)
replace Q8_5h=1 if country=="Maldives"

* Put Q8_5h_spec (where "other" recall periods are specified for interview surveys) into numeric format
gen Q8_5h_spec_num=365 if inlist(country,"Mali","Mongolia","Mauritania","Vietnam","Togo")
la var Q8_5h_spec_num "Number of different recall period employed in the surveys for food consumed away"
replace Q8_5h_spec_num=2   if country=="Bangladesh" | country=="Ghana"
replace Q8_5h_spec_num=3   if country=="Rwanda"
replace Q8_5h_spec_num=90  if country=="Burkina Faso" | country=="Republic of Congo" | country=="Maldives" | country=="Montenegro"

*For Cote d'Ivoire "on averate per day" is given.  This is not a recall period and there are others listed so we will disregard;
/* For Comoros, as is the case for at-home food data collection, there are two "other" recall periods: 12 months and 3 months.  
We will assume the data collection is as for at-home food data collection and enter 12 here (which will not make a difference 
since "14 days" was checked as well, and all recall periods were used for all foods)
*/
replace Q8_5h_spec_num=365 if country=="Union des Comores"

********** Interview surveys
* Correct mis-coding of variable Q8_9d in Adobe Livecycle
recode Q8_9d (1=1) (0=2)
*list country Q8_9i_spec if Q8_9i==1;
* For these countries the "other" that was specified (in Q8_9i_spec) is not really a place, just outside of the household in general,
* or nothing is specified (in the case of Burkina Faso and Egypt)
replace Q8_9i=2 if inlist(country,"Burkina Faso","Chad","Egypt","Gabon","Guinea","Mali","Niger","Rwanda","Tunisia")

********** Diary surveys
* Correction for Guinea Bissau
replace Q8_18c=1 if country=="Guinea-Bissau"
replace Q8_18e=1 if country=="Guinea-Bissau"

* Correct mis-coding of variable Q8_9d in Adobe Livecycle
recode Q8_18d (1=1) (0=2)

* For these countries the "other" that was specified (in Q8_18i_spec) is not really a place, just outside of the household in general,
* or nothing is specified )
replace Q8_18i=2 if country=="Morocco" | country=="Mozambique"

replace Q8_20=2 if country=="Albania"

*Note:  We did not collect information on this properly because other categories were
*enumerated individually than those listed here so people were not able to clearly decide
*how to fill in the form.  For example, if a survey collected data for "purchases" and "received
*in-kind", then it was not clear how to fill in the form;

*Corrections for Gabon, Guinea and Niger
replace Q8_10g=2 if inlist(country,"Gabon","Guinea","Niger")

*============================================================================================================
************************************************************************************************************
* Generate variable "int_diary" Data collection method for food consumed at home  - interview or diary
************************************************************************************************************
*Interview=1, diary=2
gen int_diary=1 if Q2_1==1
la var int_diary "Data collection method for food consumed at home  - interview or diary"
replace int_diary=2 if Q2_1==2
list country if Q2_1==3

* Belarus:  According to a special note from the NSC of Belarus after inquiry by Mathew Welch, the diary is filled out
* by the large majority of households.  Households are also administered a "Quarterly expenditure and income questionnaire"; 
* We will base this analysis on the diary data;

* Congo, Dem Rep: Diary filled out but also an interview form for "exceptional food expenses" and expenses at ceremonies;
* We will use the diary since if the exceptional expenses occur during the diary period they should be picked up;

* Republic of Congo: Diary form filled out but also an interview to collect data on "Depenses Retrospectives".  Using same logic
* as above, we will use the diary data;

* Ghana (Interview method is used for rural households and diary for urban);
* Both diary and interview methods using food acquisition approach so it doesn't matter;
* We will base on the interview method, for which we have more information and a bigger population;

* Iraq:  Diary, since only a few foods were asked about using the interview method
* and then, only for "rations received" of these food items;

* Kenya:  Both interview and diary were used for all households, foods and sources.  According to 6/24/12 email from 
* Samuel Kipruto of the Kenya National Bureau of Statistics the diary data were not analyzed so we will use the
* interview data;

* St. Lucia:  Diary for purchases, interview for other.  Since acquisitions data are the ones with the problems we are
* looking into below and they were used for part of the data collection, we will base on interview method;

* Morocco: The questionnaire and interviewer manual are not very clear, but it appears that the daily diary is used to
* collect data on all food sources and for all populations.  We will base on diary data;

* Montenegro: A diary was used for at-home data collection and interview for away from home;
* Since the majority of the food acquired/consumed was likely to be "at home", we will use the diary data;

* Mongolia (Interview and diary methods used for urban households and interview-only for rural households);
* We will base on interview method since used for both urban and rural households;

* Niger:  The main collection of food acquisition data is through a daily diary.  We will base on the diary data; 

* Chad: Diary is used to collect data on purchases, own production and gifts.  Interview is used for own production and gifts plus
* special events expenditures and consumption from own businesses. Since complete data are collected using the diary method, we will base
* on diary data;

* Vanuatu:  Interview used for alcoholic beverages and meals on travel with 7-day recall period.  All rest diary;
* Since most based on data diary data, we will rely on this;
*** This survey collects FCAFH data using both methods but since most likely to be picked up using diary method, will rely on that;


* Belize:  The diary method is used to collect purchases data and interview for home production;
* We will base on diary dat

*Interview surveys
replace int_diary=1 if inlist(country,"Ghana","Kenya","St. Lucia","Mongolia")

*Diary surveys
replace int_diary=2 if inlist(country,"Belarus","Congo, Dem. Rep.","Republic of Congo")
replace int_diary=2 if inlist(country,"Iraq","Morocco","Montenegro","Niger","Chad","Vanuatu","Belize")

************************************************************************************************************
* Generate variable "int_diarya" Data collection method for food consumed away from home - interview or diary
************************************************************************************************************
*Interview=1, diary=2
gen int_diarya=1 if Q2_1==1
la var int_diarya "Data collection method for food consumed away from home - interview or diary"
replace int_diarya=2 if Q2_1==2
list country if int_diarya==.
* Kenya:  Both interview and diary were used for all households, foods and sources.  According to 6/24/12 email from 
* Samuel Kipruto of the Kenya National Bureau of Statistics the diary data were not analyzed so we will use the
* interview data;

* Ghana (Interview method is used for rural households and diary for urban);
* We will base on the interview method, for which we have more information and a bigger population;

* Mongolia (Interview and diary methods used for urban households and interview-only for rural households);
* We will base on interview method since used for both urban and rural households;

* Belarus:  Diary used for collecting FCAFH;

* Iraq:  we will treat as a diary since interview was used only for a small number of food items received as "ration items";

* St. Lucia:  Diary for purchases, interview for other.  Diary;

* Morocco: The questionnaire and interviewer manual are not very clear, but it appears that the daily diary is used to
* collect data on all food sources and for all populations.  We will base on diary data;

* Montenegro: A diary was used for at-home data collection and interview for away from home.  Interview;

* Niger:  The main collection of food acquisition data is through a daily diary.  We will base on the diary data; 

* Chad: Diary is used to collect data on purchases, own production and gifts.  Interview is used for own production and gifts plus
* special events expenditures and consumption from own businesses. Since complete data are collected using the diary method, we will base
* on diary data;

* Belize:  The diary method is used to collect purchases data and interview for home production;
* We will base on diary data;

* Congo, Dem Rep: Diary filled out but also an interview form for "exceptional food expenses" and expenses at ceremonies;
* We will use the diary since if the exceptional expenses occur during the diary period they should be picked up;

* Republic of Congo: Diary form filled out but also an interview to collect data on "Depenses Retrospectives".  Using same logic
* as above, we will use the diary data;

* Vanuatu:  Interview used for alcoholic beverages and meals on travel with 7-day recall period.  All rest diary;
* This survey collects FCAFH data using both methods but since most likely to be picked up using diary method, will rely on that;

* Tunisia: Diary;

*** consumption away from home
*Interview surveys
replace int_diarya=1 if inlist(country,"Ghana","Kenya","Montenegro","Mongolia")

*Diary surveys
replace int_diarya=2 if inlist(country,"Belarus","Iraq","St. Lucia","Morocco","Chad","Niger","Belize","Congo, Dem. Rep.")
replace int_diarya=2 if inlist(country,"Republic of Congo","Vanuatu","Tunisia") /* @@ for at home food consumption Tunisia food data was collected using interview method */

************************************************************************************************************
*Create variable to identify FCAFH `groups
************************************************************************************************************
gen fafh_g=0
la var fafh_g "Data collected on food consumed away from home - FCAFH group"
la def fafh_g 1 "If there are one or more food items referring to FCAFH" 2 "If no food items referring to FCAFH but some to prepared meals" 3 "If no food items referring to FCAFH or prepared meals"
la val fafh_g fafh_g

* Interview surveys
********** Surveys with no food items referring exclusively to food consumed away from home and no prepared meals;
replace fafh_g=3 if int_diarya==1 & Q6_2a==0 & Q8_2==2 & Q8_4==2
list country Q8_2 Q_2_spec Q8_3 Q8_3_spec Q8_4 Q8_4a if fafh_g==3
* 3 countries;

********** Surveys with no food items referring exclusively to food consumed away from home but some line items with prepared meals;
*These surveys will not be considered to have collected data on FCAFH, we are noting this distinction for info;
replace fafh_g=2 if int_diarya==1 & Q6_2a==0 & (Q8_2==1|Q8_4==1)
list country Q8_2 Q_2_spec Q8_3 Q8_3_spec Q8_4 Q8_4a if fafh_g==2
*6 countries;

*Note:  Sierra Leone is classified here because there are some line items with prepared meals and the one line item referring to FCAFH
*does not refer exclusively to it (it is "expenditure in restaurants and hotels", which can include accomodations);
********** Surveys with one or more line items referring to food away from home;
replace fafh_g=1 if int_diarya==1 & (Q6_2a>0 & Q6_2a~=.)
list country Q6_2a if fafh_g==1

*************************************
* Diary surveys
*************************************;

*Classify as "1" if there are line items referring to food away from home and/or there are any references to food consumed
*away from home in either instructions to respondents, instructions to interviewers, or on the diary form;

tab int_diarya
* 40 diary surveys in total;

tab Q6_2a if int_diarya==2
*32 have FCAFH food items;

tab Q8_17 if int_diarya==2, missing
*28 have FCAFH references;

replace fafh_g=1 if int_diarya==2 & (Q6_2a>0 & Q6_2a~=.) | (Q8_17==1)
tab fafh_g if int_diarya==2, missing

saveold "$outputdata\HCES_food_assessment_edited.dta", replace

log close
