* This program create variable and value labels for variables that were collected using food assessment questionnare
* Date: December 9, 2013
* Author: Tefera Bekele

clear 
set more off
capture log close 

global inputdata = "Q:\Team\Tefera\Food_assessment\Final\"
global outputdata = "Q:\Team\Tefera\Food_assessment\Final\"

use "$inputdata\HCES assessment 2012__100-country dataset.dta", clear

la var	C1 "Survey ID"
la var	country "Country"
la var	Q1_2 "Survey title"
la var	Q1_3 "Primary investigator"
la var	Q1_4 "Survey ID"
la var	Q1_5 "Language"
la var	Q1_6a "Date of data collection started"
la var	Q1_6b "Date of data collection end"
la var	Q1_7t "Total sample size"
la var	Q1_7u "Urban sample size"
la var	Q1_7r "Rural sample size"
la var	Q1_8 "Geographical coverage"
la var	Q1_8a "Geographical stratification"
la var	Q1_9 "Universe"
la var	Q1_10 "Type of survey"
la var	Q1_11 "Type of panel"
la var	Q1_12 "Status of interview (complete/incomplete/etc)"
la var	Q1_13 "Date of interview(s)"
la var	Q1_14 "This assessment form was filled out by"
la var	Q1_15 "Date the assessment is filled up"
la var	Q1_16 "Comments on Section 1 of the assessment questions"
la var	Q2_1 "Data collection method used for food data collection"
la var	Q2_1a "Type of diary method"
la var	Q2_2 "Comments on Section 2 of the assessment questions"
la var	Q3_1 "Type of food data collection recall method"
la var	Q3_1a "Number of survey data collection rounds"
la var	Q3_1b "Approximate number of days between rounds"
la var	Q3_2 "Comments on Section 3 of the food assessment questions"
la var	Q4_1a "Food at home, interview method - recall period was 7 days or 'past week'"
la var	Q4_1b "Food at home, interview method - recall period was 14 days or 'last two weeks'"
la var	Q4_1c "Food at home, interview method - recall period was 15 days"
la var	Q4_1d "Food at home, interview method - recall period was last 30 days"
la var	Q4_1e "Food at home, interview method - recall period was  last month"
la var	Q4_1f "Food at home, interview method - recall period was 'typical' or 'usual' month"
la var	Q4_1f1 "If 'typical' or 'usual' month, number of days in the recall period"
la var	Q4_1g "Food at home, interview method - recall period was 'typical' or 'usual' week"
la var	Q4_1g1 "If 'typical' or 'usual' week, number of days in the recall period"
la var	Q4_1h "Food at home, interview method - other recall period used for data collection"
la var	Q4_1h_spec "Food at home, interview method - specify other recall period"
la var	Q4_2 "If more than one recall period was used, check one of the following"
la var	Q4_3 "Food at home, interview method - recall period bounded (since my last visit..)"
la var	Q4_4 "Food at home, diary method - number of visits in each round"
la var	Q4_5 "Total number of days the diary was to be kept during each round of the survey"
la var	Q4_6 "Number of visit to assist illiterate households to fill in their diary"
la var	Q4_6a "Check if you don't know number of visit by enumerator to assist illiterate HHs"
la var	Q4_7 "Comments on Section 4 of the food assessment questions"
la var	Q5_1 "Data collected on quantities of (or expenditures on ) food purchases"
la var	Q5_1a "Data collected on quantities of food acquired from purchases"
la var	Q5_1b "Data collected on quantities of food consumed from purchases"
la var	Q5_1c "Data collected on quantities of food acquired and consumed from purchases"
la var	Q5_1d "Data collected on quantities of food purchases but not specified how it is acquired"
la var	Q5_2 "Data collected on quantities (or value) of food consumed from own production"
la var	Q5_3 "Data collected on quantities of (or expenditures on) food received in kind"
la var	Q5_3a "Data collected on quantities of food acquired from in-kind receipts"
la var	Q5_3b "Data collected on quantities of food consumed from in-kind receipts"
la var	Q5_3c "Data collected on quantities of food acquired and consumed from in-kind receipts"
la var	Q5_3d "Data collected on quantities of food in-kind but not specified how it is acquired"
la var	Q5_4a "Data collected on foods received as gifts (in-kind)"
la var	Q5_4b "Data collected on foods received as payment from an employer (in-kind)"
la var	Q5_4c "Data collected on foods received as food assistance (in-kind)"
la var	Q5_4d "Data collected on foods received as other, including grouped items (in-kind)"
la var	Q5_4d_spec "Specify other food received in-kind "
la var	Q5_4e "Sources of food received in kind are not specified"
la var	Q5_5 "Data collected on food stocks"
la var	Q5_5a "Data collected on stocks of foods produced by the household"
la var	Q5_5b "Data collected on stocks of foods purchased or received in-kind"
la var	Q5_5c "Data collected on food stocks sources are not specified"
la var	Q5_5c_spec "Specify other sources of stocks of foods"
la var	Q5_6X "Equals 1 if data are collected on food acquired"
la var	Q5_6 "Questionnaire contains a statement asked about food for eventual consumption by HH members"
la var	Q5_7 "Respondents first asked question pertaining to whether any HH member consumed food"
la var	Q5_8 "Recall period for the leading question"
la var	Q5_9 "Comments on Section 5 of the food assessment questions"
la var	Q6_1 "Total no of food items listed on the questionnaire"
la var	Q6_2a "Number of food items referred to food consumed away from home"
la var	Q6_2b "Number of processed food items"
la var	Q6_3 "Number of food and beverages items "
la var	Q6_4 "Number of food items"
la var	Q6_5 "Number of bread and cereals items"
la var	Q6_6 "Number of rice"
la var	Q6_7 "Number of other cereals, flour and other products items"
la var	Q6_8 "Number of bread"
la var	Q6_9 "Number of other bakery products"
la var	Q6_9a "Number of other bakery products containing meat, fish, seafood, cheese, vegetables or fruit"
la var	Q6_10 "Number of pasta products"
la var	Q6_11 "Number of meat items"
la var	Q6_12 "Number of beef and veal items"
la var	Q6_13 "Number of pork items"
la var	Q6_14 "Number of lamb, mutton and goat items"
la var	Q6_15 "Number of poultry items"
la var	Q6_16 "Number of other meats and meat preparations items"
la var	Q6_17 "Number of fish and seafood items"
la var	Q6_18 "Number of fresh, chilled or frozen fish and seafood items"
la var	Q6_19 "Number of preserved or processed fish and seafood items"
la var	Q6_20 "Number of milk, cheese and eggs items"
la var	Q6_21 "Number of fresh milk items"
la var	Q6_22 "Number of preserved milk and other milk products items"
la var	Q6_23 "Number of cheese items"
la var	Q6_24 "Number of eggs and egg-based products items"
la var	Q6_25 "Number of oils and fats items"
la var	Q6_26 "Number of butter and margarine items"
la var	Q6_26a "Number of butter  items"
la var	Q6_26b "Number of margarine items"
la var	Q6_26c "Number of ghee items"
la var	Q6_27 "Number of other edible oils and fats items"
la var	Q6_27a "Number of vegetable oil items"
la var	Q6_27b "Number of animal oil items"
la var	Q6_27c "Number of peanut butter items"
la var	Q6_28 "Number of fruits items"
la var	Q6_29 "Number of fresh or chilled fruits items"
la var	Q6_29a "Number of plantain bananas items"
la var	Q6_30 "Number of frozen, preserved or processed fruit and fruit-based products items"
la var	Q6_30a "Number of tree nuts items"
la var	Q6_30b "Number of coconuts items"
la var	Q6_30c "Number of edible seeds items"
la var	Q6_31 "Number of vegetables items"
la var	Q6_32 "Number of fresh or chilled vegetables other than potatoes items"
la var	Q6_32a "Number of pulses items"
la var	Q6_32b "Number of soyabeans items"
la var	Q6_32c "Number of groundnuts"
la var	Q6_32d "Number of olives"
la var	Q6_32e "Number of edible seaweed items"
la var	Q6_33 "Number of fresh or chilled potatoes, and other tuber vegetables items"
la var	Q6_34 "Number of frozen, preserved or processed vegetables and vegetable-based products items"
la var	Q6_34a "Number of frozen chipped potatoes and products of potatoes and other tuber vegetables"
la var	Q6_34b "Number of lentils items"
la var	Q6_35 "Number of sugar, jam, honey, chocolate and confectionery items"
la var	Q6_36 "Number of sugar items"
la var	Q6_37 "Number of jams, marmalades and honey items"
la var	Q6_38 "Number of confectionery, chocolate and ice cream items"
la var	Q6_38a "Number of icecream items"
la var	Q6_38b "Number of chocolate items"
la var	Q6_39 "Number of food products n.e.c. items"
la var	Q6_39a "Number of spices items"
la var	Q6_39b "Number of baking agents items"
la var	Q6_39c "Number of condiments items"
la var	Q6_39d "Number of vinegar items"
la var	Q6_39e "Number of mayonnaise items"
la var	Q6_39f "Number of 'dressing and sandwhich spread, etc.' items"
la var	Q6_39g "Number of non-specific food products items"
la var	Q6_40 "Number of non-alcoholic beverages items"
la var	Q6_41 "Number of coffee, tea and cocoa items"
la var	Q6_42 "Number of mineral waters, soft drinks, fruit and vegetable juices items"
la var	Q6_42a "Number of fruit juices items"
la var	Q6_42b "Number of vegetable juices items"
la var	Q6_42c "Number of food energy drinks items"
la var	Q6_43 "Number of alcoholic beverages, tobacco and narcotics items"
la var	Q6_44 "Number of alcoholic beverages items"
la var	Q6_45 "Number of spirits items"
la var	Q6_46 "Number of wine items"
la var	Q6_47 "Number of beer items"
la var	Q6_48 "Number of stimulants items"
la var	Q6_49 "Total number of at-home food items in the Master Food List"
la var	Q6_50 "Difference b/n number of at-home food items in the survey and the total food items"
la var	Q6_50a "Specify at-home food item that are not counted in Master Food List, if Q6_50>0"
la var	Q6_51 "Number of food or food and beverages items"
la var	Q6_52 "Specify food items list that are in Q6_3 or Q6_4, If Q6_51>0"
la var	Q6_53 "Number of non-specific food products items"
la var	Q6_54 "Specify food items that are in Q6_39g, if Q6_53>0 "
la var	Q6_55 "Number of milk, cheese and eggs items"
la var	Q6_56 "Specify food items that are in Q6_20, if Q6_55>0"
la var	Q6_57 "Number of milk and milk products (including cheese) items only"
la var	Q6_58 "Number of oils and fats items"
la var	Q6_59 "Specify food items that are in Q6_25, if Q6_58>0"
la var	Q6_60 "Number of combined items from butter and margari, and other edible oils and fats groups"
la var	Q6_61 "Number of fruits items"
la var	Q6_62 "Specify food items that are in Q6_28, if Q6_61>0"
la var	Q6_63 "Number of fruits items only"
la var	Q6_64 "Number of vegetables items"
la var	Q6_65 "Specify food items that are in Q6_31, if Q6_64>0"
la var	Q6_66a "Number of vegetables items only"
la var	Q6_66b "Number of roots and tubers items only"
la var	Q6_66c "Number of pulses items only"
la var	Q6_67 "Number of sugar, jam, honey, chocolate and confectionery items"
la var	Q6_68 "Specify food items that are in Q6_35, if Q6_67>0"
la var	Q6_69a "Number of sugar, jams, marmalade, honey or candy, including chocolate items only"
la var	Q6_69b "Number of items as in Q6_69a but excluding chocolate"
la var	Q6_67p "Number of non-alcoholic beverages items"
la var	Q6_68p "Specify food items that are in Q6_40, if Q6_67p>0"
la var	Q6_70 "Number of alcoholic beverages, tobacco and narcotics items"
la var	Q6_71 "Specify food items that are in Q6_43, if Q6_70>0"
la var	Q6_72 "Number of alcoholic beverages items"
la var	Q6_73 "Specify food items that are in Q6_44, if Q6_72>0"
la var	Q6_74 "Number of alcoholic beverages (wine, beer or spirits) items only"
la var	Q6_75 "Basic dietary food list - number of cereals items"
la var	Q6_76 "Basic dietary food list - number of roots and tubers (including potatoes), and plantains items"
la var	Q6_77 "Basic dietary food list - number of pulses, nuts and seeds items"
la var	Q6_78 "Basic dietary food list - number of vegetables items"
la var	Q6_79 "Basic dietary food list - number of fruits items"
la var	Q6_80 "Basic dietary food list - number of meat, poultry, and offal items"
la var	Q6_81 "Basic dietary food list - number of fish and seafood items"
la var	Q6_82 "Basic dietary food list - number of milk and milk products items"
la var	Q6_83 "Basic dietary food list - number of eggs items"
la var	Q6_84 "Basic dietary food list - number of oils and fats items"
la var	Q6_85 "Basic dietary food list - number of sugar, jam, honey, chocolate and sweets items"
la var	Q6_86 "Basic dietary food list - number of condiments, spices, baking agents, and vegetable- based stimulants items"
la var	Q6_87 "Basic dietary food list - number of non-alcoholic beverages items"
la var	Q6_88 "Basic dietary food list - number of alcoholic beverages items"
la var	Q6_89 "Total number of at-home food items in the Dietary Food List"
la var	Q6_90 "Total in the survey that are not classified in the Dietary Food List"
la var	Q6_91 "Total not classified that are already identified"
la var	Q6_92 "Difference b/n Q6_90 and Q6_91"
la var	Q6_93 "Specify unclassified food items that are still unidentified, if Q6_92 > 0"
la var	Q6_94 "Food balance sheet - number of cereals and cereals products items"
la var	Q6_95 "Food balance sheet - number of roots and tubers and products items"
la var	Q6_96 "Food balance sheet - number of sugars and syrups and products items"
la var	Q6_97 "Food balance sheet - number of pulses items"
la var	Q6_98 "Food balance sheet - number of tree nuts items"
la var	Q6_99 "Food balance sheet - number of oil crops items"
la var	Q6_100 "Food balance sheet - number of vegetables and products items"
la var	Q6_101 "Food balance sheet - number of fruits and products items"
la var	Q6_102 "Food balance sheet - number of stimulants items"
la var	Q6_103 "Food balance sheet - number of spices and additives items"
la var	Q6_104 "Food balance sheet - number of alcoholic beverages items"
la var	Q6_105 "Food balance sheet - number of meat items"
la var	Q6_106 "Food balance sheet - number of eggs items"
la var	Q6_107 "Food balance sheet - number of fish and fish products items"
la var	Q6_108 "Food balance sheet - number of milk and cheese items"
la var	Q6_109 "Food balance sheet - number of vegetable oils and fats items"
la var	Q6_110 "Food balance sheet - number of animal oils and fats items"
la var	Q6_111 "Food balance sheet - number of non-alcoholic beverages items"
la var	Q6_112 "Food balance sheet - number of miscellaneous and prepared food items"
la var	Q6_113 "Total number of at-home food items in the Food Balance Sheet Food List"
la var	Q6_114 "Total in the survey that are not classified in the FBS Food List"
la var	Q6_115 "Total not classified that are already identified"
la var	Q6_116 "Difference b/n Q6_114 and Q6_115"
la var	Q6_117 "Specify unclassified food items that are still unidentified, if Q6_116 > 0"
la var	Q6_118 "Sugar is available in food list"
la var	Q6_119 "Margarine is available in food list"
la var	Q6_120 "Soy sauce is available in food list"
la var	Q6_121 "Dehydrated noodle soup is available in food list"
la var	Q6_122 "Crackers are available in food list"
la var	Q6_123 "Vegetable oil is available in food list"
la var	Q6_124 "Salt is available in food list"
la var	Q6_125 "Fish sauce is available in food list"
la var	Q6_126 "Bouillon cube is available in food list"
la var	Q6_127 "Pasta (noodles, spaghetti, etc) is available in food list"
la var	Q6_128 "Bread is available in food list"
la var	Q6_128a "Wheat bread is available in food list"
la var	Q6_128b "Maize bread is available in food list"
la var	Q6_128c "Other bread is available in food list"
la var	Q6_128d "Bread (ingredients not specified) is available in food list"
la var	Q6_129 "Cereal flour or meal is available in food list"
la var	Q6_129a "Wheat cereal flour or meal is available in food list"
la var	Q6_129b "Maize cereal flour or meal is available in food list"
la var	Q6_129c "Other cereal flour or meal is available in food list"
la var	Q6_129d "Cereal flour or meal (ingredients not specified) is available in food list"
la var	Q6_130 "Porridge is available in food list"
la var	Q6_130a "Wheat porridge is available in food list"
la var	Q6_130b "Maize porridge is available in food list"
la var	Q6_130c "Other porridge is available in food list"
la var	Q6_130d "Porridge (ingredients not specified) is available in food list"
la var	Q6_131 "Biscuits, pastries, cakes and/or cookies is available in food list"
la var	Q6_131a "Wheat biscuits, pastries, cakes and/or cookies is available in food list"
la var	Q6_131b "Maize biscuits, pastries, cakes and/or cookies is available in food list"
la var	Q6_131c "Other biscuits, pastries, cakes and/or cookies is available in food list"
la var	Q6_131d "Biscuits, pastries, cake and/or cookies (ingredients not specified) is available in food list"
la var	Q6_132 "Tortillas is available in food list"
la var	Q6_132a "Wheat tortillas is available in food list"
la var	Q6_132b "Maize tortillas is available in food list"
la var	Q6_132c "Other tortillas is available in food list"
la var	Q6_132d "Tortillas (ingredients not specified) is available in food list"
la var	Q6_133 "Breakfast cereals is available in food list"
la var	Q6_133a "Wheat breakfast cereals is available in food list"
la var	Q6_133b "Maize breakfast cereals is available in food list"
la var	Q6_133c "Other breakfast cereals is available in food list"
la var	Q6_133d "Breakfast cereals (ingredients not specified) is available in food list"
la var	Q6_134 "Rice is available in food list"
la var	Q6_134a "Paddy rice is available in food list"
la var	Q6_134b "Husked rice is available in food list"
la var	Q6_134c "Rice (not specified) is available in food list"
la var	Q6_135 "Wheat is available in food list"
la var	Q6_135a "Wheat grain is available in food list"
la var	Q6_135b "Wheat flour is available in food list"
la var	Q6_135c "Unspecified wheat is available in food list"
la var	Q6_136 "Sorghum or millet is available in food list"
la var	Q6_136a "Sorghum or millet grain is available in food list"
la var	Q6_136b "Sorghum or millet flour is available in food list"
la var	Q6_136c "Unspecified sorghum or millet is available in food list"
la var	Q6_137 "Maize is available in food list"
la var	Q6_137a "Maize cobs is available in food list"
la var	Q6_137b "Maize grain is available in food list"
la var	Q6_137c "Maize flour or meal is available in food list"
la var	Q6_137d "Maize dried ('mature') is available in food list"
la var	Q6_137e "Green (sweet corn) is available in food list"
la var	Q6_137f "Unspecified maize is available in food list"
la var	Q6_138 "Groundnuts is available in food list"
la var	Q6_138a "Groundnuts (in shell) is available in food list"
la var	Q6_138b "Groundnuts (shelled or out of shell) is available in food list"
la var	Q6_138c "Unspecified groundnuts is available in food list"
la var	Q6_139 "Bananas is available in food list"
la var	Q6_139a "Sweet bananas is available in food list"
la var	Q6_139b "Plantain bananas is available in food list"
la var	Q6_139c "Unspecified banana is available in food list"
la var	Q6_140 "Peppers is available in food list"
la var	Q6_140a "Fresh peppers is available in food list"
la var	Q6_140b "Dry peppers is available in food list"
la var	Q6_140c "Unspecified peppers is available in food list"
la var	Q6_141 "Shelled seafood is available in food list"
la var	Q6_141a "In shell seafood is available in food list"
la var	Q6_141b "Shelled (out of shell) seafood is available in food list"
la var	Q6_141c "Unspecified shelled seafood is available in food list"
la var	Q6_142 "Meat is available in food list"
la var	Q6_142a "Meat with bone is available in food list"
la var	Q6_142b "De-boned meat is available in food list"
la var	Q6_142c "Dry meat is available in food list"
la var	Q6_142d "Unspecified meat is available in food list"
la var	Q6_143 "Fish is available in food list"
la var	Q6_143a "Fish with bone is available in food list"
la var	Q6_143b "De-boned (fillet) is available in food list"
la var	Q6_143c "Fresh fish is available in food list"
la var	Q6_143d "Dry/smoked fish is available in food list"
la var	Q6_143e "Unspecified fish is available in food list"
la var	Q6_144 "Milk is available in food list"
la var	Q6_144a "Liquid milk is available in food list"
la var	Q6_144b "Powdered milk is available in food list"
la var	Q6_144c "Unspecified milk is available in food list"
la var	Q6_145 "Condensed milk is available in food list"
la var	Q6_145a "Sweetened milk is available in food list"
la var	Q6_145b "Unsweetened milk is available in food list"
la var	Q6_145c "Unspecified condensed milk is available in food list"
la var	Q6_146 "Alcholic beverages are available in food list"
la var	Q6_146a "Beer is available in food list"
la var	Q6_146b "Wine is available in food list"
la var	Q6_146c "Distilled (spirits) alcoholic beverages are available in food list"
la var	Q6_146d "Unspecified alcholic beverages are available in food list"
la var	Q6_147 "Beans is available in food list"
la var	Q6_147a "Fresh ('green beans') is available in food list"
la var	Q6_147b "Dry beans is available in food list"
la var	Q6_147c "Unspecified beans is available in food list"
la var	Q6_148 "Comments on Section 6 of the food assessment questions"
la var	Q7_1 "Data collected on expenditures of foods purchased (or consumed that were purchased)"
la var	Q7_1a "Number of purchased food items that were consumed at home"
la var	Q7_2 "Data collected on quantities of foods purchased (or consumed that were purchased)"
la var	Q7_2a "Number of purchased items with data collected on their quantities and consumed at home"
la var	Q7_3 "Number of purchased items, quantities reported in a single, pre-defined unit of measure"
la var	Q7_3a "Number of purchased food items with metric units of measurements"
la var	Q7_4 "Unit of measures are recoded in plain text (for purchased items consumed at home)"
la var	Q7_5 "Pre-defined list of unit of measure is provided for purchased items with/on questionnaire"
la var	Q7_5a "Number of pre-defined list of unit of measures (for purchased items) in the questionnaire"
la var	Q7_5b "Number of non-metric unit of measure in the pre-defined list (for purchased items)"
la var	Q7_5c "Other' category is in pre-defined unit of measure list (for purchased food items)"
la var	Q7_5d "For non-metric unit of measure interviewers were instructed to determine weight of the food item in a metric unit"
la var	Q7_6 "Data collected on the value of foods consumed from own production"
la var	Q7_6a "Number of home-produced food items"
la var	Q7_7 "Data collected on quantities of foods consumed from own production"
la var	Q7_7a "Number of home-produced food items with data collected on their quantities"
la var	Q7_8 "Number of home-produced items, quantities reported in a single, pre-defined unit of measure"
la var	Q7_8a "Number of home-produced food items with units of measure are metric"
la var	Q7_9 "Unit of measures are recoded in plain text (for home-produced food items)"
la var	Q7_10 "Pre-defined list of units of measure is provided for home-produced food items with/on questionniare"
la var	Q7_10a "Number of metric unit of measure for home-produced items in the questionnaire"
la var	Q7_10b "Number of non-metric unit of measure in the pre-defined list (for home-produced food items)"
la var	Q7_10c "Other' category is in  pre-defined unit of measure list (for home-produced items)"
la var	Q7_10d "For non-standard unit of measure interviewers instructed to determine weight of home-produced food items in a metric unit"
la var	Q7_11 "Data collected on the value of foods received in kind (consumed that were received in kind)"
la var	Q7_11a "Number of food received in-kind items"
la var	Q7_12 "Data collected on quantities of foods received in kind items"
la var	Q7_12a "Number of food received in-kind items with data collected on their quantities"
la var	Q7_13 "Number of food received in-kind items, quantities reported in a single, pre-defined unit of measure"
la var	Q7_13a "Number of food received in-kind items with units of measure are metric"
la var	Q7_14 "Unit of measures are recoded in plain text (for food received in-kind items)"
la var	Q7_15 "Pre-defined list of units of measure is provided for food received in-kind items"
la var	Q7_15a "Number of metric unit of measure for food received in-kind items in the questionnaire"
la var	Q7_15b "Number of non-metric unit of measure in the pre-defined list for food received in-kind items"
la var	Q7_15c "Other' category is in pre-defined unit of measure list (for food received in-kind items)"
la var	Q7_15d "For non-standard unit of measure interviewers were instructed to determine weight of food received in-kind items in a metric unit"
la var	Q7_16 "For any food items quantities are measured using 'demonstration' methods"
la var	Q7_16a "Specify food items if quantities are measured using 'demonstration' methods "
la var	Q7_17 "Comments on Section 7, questions 17 to 16 of the assessment questionnaire"
la var	Q7_Sec2_skip "Equals 1, If data collected on quantities for at least one of the three food sources"
la var	Q7_18 "Data collected on metric conversion factors of foods item if quantities are in local units of measure"
la var	Q7_18a "Number of food items with metric conversion factors collected as part of the survey"
la var	Q7_18b "Number of different local measurement units that were collected as part of the survey"
la var	Q7_18c "Number of food items with metric conversion factors collected as part of an independent survey"
la var	Q7_18d "Number of different local measurement units that were collected as part of an independent survey"
la var	Q7_18e "Year when metric conversion factors independent survey was collected"
la var	Q7_19a "Metric conversion factor data were collected at community level"
la var	Q7_19b "Metric conversion factor data were collected at low-level administrative unit"
la var	Q7_19c "Metric conversion factor data were collected at highest-level sub-national region"
la var	Q7_19d "Metric conversion factor data were collected at national level"
la var	Q7_19e "Metric conversion factor data were collected at other geographical level"
la var	Q7_19e_spec "Specify other geographical levels for which metric conversion factors were collected"
la var	Q7_20filt "Equals 1, if data were collected for any foods using 'demonstration' methods"
la var	Q7_20 "Volume-weight or size-weight metric conversion factors available for foods collected using 'demonstration' methods"
la var	Q7_21 "Comments on Section 7, questions 17 to 20 of the assessment questionnaire"
la var	Q7_22 "Data were collected on food prices"
la var	Q7_22a "For how many food items were prices collected?"
la var	Q7_22b1 "Check the sources for which prices were collected - purchased food items"
la var	Q7_22b2 "Check the sources for which prices were collected - home-produced food items"
la var	Q7_22b3 "Check the sources for which prices were collected - food items received in kind"
la var	Q7_22c "For how many food items were prices collected as independent survey?"
la var	Q7_22d1 "Check the sources for which prices were collected - purchased food items"
la var	Q7_22d2 "Check the sources for which prices were collected - home-produced food items"
la var	Q7_22d3 "Check the sources for which prices were collected - food items received in kind"
la var	Q7_22e "Year when food price independent survey was collected"
la var	Q7_23a "Food prices data were collected at community level"
la var	Q7_23b "Food prices data were collected at low-level administrative unit"
la var	Q7_23c "Food prices data were collected at highest-level sub-national region"
la var	Q7_23d "Food prices data were collected at national level"
la var	Q7_23e "Food prices data were collected at other geographical level"
la var	Q7_23e_spec "Specify other geographical levels for which food prices were collected"
la var	Q7_24 "Comments on Section 7, questions 21 to 23 of the assessment questionnaire"
la var	Q8_1a "Interview method - food consumed away from home was referred to in questionnaire specifically"
la var	Q8_1b "Interview method - food consumed away from home was not referred to in questionnaire"
la var	Q8_2 "Interview method - any food items were referred to as 'prepared meals' or 'cooked meals' or some variation"
la var	Q_2_spec "Interview method - specify food items that were consumed away from home"
la var	Q8_3 "Interview method - are there any food items referring to places outside of the home at which people may obtain food?"
la var	Q8_3_spec "Interview method - specify places at which food items were obtained"
la var	Q8_4 "Interview method - any food items were referring to specific prepared or cooked meals"
la var	Q8_4a "Interview method - no of food items refered to prepared or cooked meals, dishes or snacks"
la var	Q8_5a "Interview method - 7 days or 'past week' recall period used to collect food consumed away from home"
la var	Q8_5b "Interview method - 14 days or 'last two weeks' recall period used to collect food consumed away from home"
la var	Q8_5c "Interview method - 15 days recall period used to collect food consumed away from home"
la var	Q8_5d "Interview method - last 30 days recall period used to collect food consumed away from home"
la var	Q8_5e "Interview method - last month recall period used to collect food consumed away from home"
la var	Q8_5f "Interview method - 'typical' or 'usual' month recall period used to collect food consumed away from home"
la var	Q8_5f1 "Interview method - if 'typical' or 'usual' month, what is the recall period?"
la var	Q8_5g "Interview method - 'typical' or 'usual' week recall period used to collect food consumed away from home"
la var	Q8_5g1 "Interview method - if 'typical' or 'usual' week, what is the recall period?"
la var	Q8_5h "Interview method - unspecified recall period used to collect food consumed away from home"
la var	Q8_5h_spec "Interview method - specify/list other recall period used to collect food consumed away from home"
la var	Q8_6 "Interview method - is the recall period bounded? (The enumerator asks 'Since my last visit..')?"
la var	Q8_7 "Interview method - type of data collected on food consumed away from home"
la var	Q8_8 "If there is only one line item referring to food consumed away from home, specify what that line item is"
la var	Q8_9a "Interview method, place of consumption is restaurant and data collected individually"
la var	Q8_9b "Interview method, place of consumption is fast-food outlet and data collected individually"
la var	Q8_9c "Interview method, place of consumption is bar and data collected individually"
la var	Q8_9d "Interview method, place of consumption is hotel and data collected individually"
la var	Q8_9e "Interview method, place of consumption is street stall or mobile vendor and data collected individually"
la var	Q8_9f "Interview method, place of consumption is another household and data collected individually"
la var	Q8_9g "Interview method, place of consumption is educational institution and data collected individually"
la var	Q8_9h "Interview method, place of consumption is work place and data collected individually"
la var	Q8_9i "Interview method, place of consumption is other not specified and data collected individually"
la var	Q8_9i_spec "Interview method, specify place of consumption of food consumed away from home and data collected individually"
la var	Q8_9j_spec "Interview method - specify group of places where food consumed away from home data are collected"
la var	Q8_10a "Interview method - food consumed away from home was purchased in commercial establishments"
la var	Q8_10b "Interview method - food consumed away from home was purchased at an educational institution"
la var	Q8_10c "Interview method - food consumed away from home was provided by an educational institution"
la var	Q8_10d "Interview method - food consumed away from home was provided by an employer"
la var	Q8_10e "Interview method - food consumed away from home was provided as food assistance from an aid organization"
la var	Q8_10f "Interview method - food consumed away from home was received as a guest in another household"
la var	Q8_10g "Interview method - food consumed away from home source was others not specified"
la var	Q8_10g_spec "Interview method - specify other source of food consumed away from home"
la var	Q8_10h_spec "Interview method - for a group of sources (for food consumed away from home) labelled as follows"
la var	Q8_11 "Interview method - data collected for more than one specific type of food consumed away from home"
la var	Q8_12 "Interview method - number of food items (more than one specific type) consumed away from home"
la var	Q8_13a "Interview method - food items consumed away from home are delineated as specific dishes and foods listed"
la var	Q8_13b "Interview method - food items consumed away from home are delineated as specific beverages listed"
la var	Q8_13c "Interview method - food items consumed away from home are delineated as by food group"
la var	Q8_13d "Interview method - food items consumed away from home are delineated as other"
la var	Q8_13d_spec "Interview method - food items consumed away from home are delineated as specify others"
la var	Q8_14 "Interview method - supplementary info. available for determining the ingredients in multi-ingredient dishes"
la var	Q8_15 "Interview method - supplementary info. available for determining the amount of ingredients in multi-ingredient dishes"
la var	Q8_16 "Comments on Section 8A of the food assessment questions"
la var	Q8_17 "Any reference to food consumed away from home as in instructions to respondents"
la var	Q8_17_filt "Equals 1, if the number of food items reported for food consumed away from home is greater than zero (from Q6_2a) or the answer to Q8_17 is 'yes'"
la var	Q8_18 "Diary method - respondents are instructed to record place of consumption of food away from home"
la var	Q8_18a "Diary method, place of consumption is restaurant and data collected individually"
la var	Q8_18b "Diary method, place of consumption is fast-food outlet and data collected individually"
la var	Q8_18c "Diary method, place of consumption is bar and data collected individually"
la var	Q8_18d "Diary method, place of consumption is hotel and data collected individually"
la var	Q8_18e "Diary method, place of consumption is street stall or mobile vendor and data collected individually"
la var	Q8_18f "Diary method, place of consumption is another household and data collected individually"
la var	Q8_18g "Diary method, place of consumption is educational institution and data collected individually"
la var	Q8_18h "Diary method, place of consumption is work place and data collected individually"
la var	Q8_18i "Diary method, place of consumption is other not specified and data collected individually"
la var	Q8_18i_spec "Diary method, specify place of consumption of food consumed away from home and data collected individually"
la var	Q8_18j_spec "Diary method - specify group of places where food consumed away from home were recorded"
la var	Q8_19 "Diary method - respondents are instructed to record source of consumption of food away from home"
la var	Q8_19a "Diary method - food consumed away from home was purchased in commercial establishments"
la var	Q8_19b "Diary method - food consumed away from home was purchased at an educational institution"
la var	Q8_19c "Diary method - food consumed away from home was provided by an educational institution"
la var	Q8_19d "Diary method - food consumed away from home was provided by an employer"
la var	Q8_19e "Diary method - food consumed away from home was provided as food assistance from an aid organization"
la var	Q8_19f "Diary method - food consumed away from home was received as a guest in another household"
la var	Q8_19g "Diary method - food consumed away from home source was others not specified"
la var	Q8_19g_spec "Diary method - specify other source of food consumed away from home"
la var	Q8_19h_spec "Diary method - Lable for group of sources (for food consumed away from home)"
la var	Q8_20 "Diary method - respondents instructed to identify specific foods, dishes and beverages consumed"
la var	Q8_21 "Diary method - There is supplementary info. for determining ingredients in multi-ingredient dishes"
la var	Q8_22 "Diary method - supplementary info. available for determining the amount of each ingredients in multi-ingredient dishes"
la var	Q8_23 "Comments on Section 8B of the food assessment questions"
la var	Q8_24 "Alcoholic beverages are explicitly referred to in data collection for food consumed away from home"
la var	Q8_25 "Snacks are explicitly referred to in data collection for food consumed away from home"
la var	Q8_26 "Data on food consumed away from home are collected by individual/ at HH level"
la var	Q8_27 "Comments on Section 8C, of the assessment questionnaire"
la var	Q9_1 "Data collected on the number of meals consumed at home by household members"
la var	Q9_2 "Data collected on number of meals consumed at home by individual and/or at the household level"
la var	Q9_3 "Data collected by type of meal (breakfast, lunch, dinner) consumed at home"
la var	Q9_4 "Data collected on the number of people who participated in meals at home"
la var	Q9_5 "Data collected on the number of meals consumed away from home by household members"
la var	Q9_6 "Data collected on number of meals consumed away from home by individual and/or at the household level"
la var	Q9_7 "Data collected by type of meal consumed away from home"
la var	Q9_8 "Data collected on presence of non-HH member(s) during HH meal consumption"
la var	Q9_9 "Data collected on the number of visitors in the household"
la var	Q9_10 "Data collected on visitors' length of stay"
la var	Q9_11 "Data collected on the number of meals consumed by visitors/guests"
la var	Q9_12 "Data collected by type of meal consumed by non-household member(s)"
la var	Q9_13 "Data collected on the age of visitors/guests"
la var	Q9_14 "Data collected on the sex of visitors/guests"
la var	Q10_1 "Anthropometric data are collected as part of the survey"
la var	Q10_2a "Anthropometric data are collected for children 0-5 years old"
la var	Q10_2b "Anthropometric data are collected for children/youth 6-18 years old"
la var	Q10_2c "Anthropometric data are collected for adult women"
la var	Q10_2d "Anthropometric data are collected for adult men"
la var	Q10_3a "Anthropometric - height and weight data are collected"
la var	Q10_3b "Anthropometric - Mid Upper Arm Circumference (MUAC) data are collected"
la var	Q10_4 "Data collected on the age in months of children under two years old"
la var	Q10_5 "Respondents are asked to report on frequency of consumption of specific foods"
la var	Q10_6 "For how many foods are frequency data collected?"
la var	Q10_7 "The survey collects information related to HH food consumption or nutrition security"
la var	Q10_7_spec "Specify information that was collected on food or nutrition security"
la var	Q10_8 "Comments on Section 10 of the food assessment questions"
la var	Q11_1 "General comments on food survey"

# delimit;
la def yesno
	1 "Yes"
	2 "No"
	99 "";
la def Q1_10 
	1 "Cross-sectional"
	2 "Panel"
	3 "Both"
	99 "";
la val Q1_10 Q1_10;

la def Q1_11 
	1 "Across surveys"
	2 "Intra-survey"
	3 "Both"
	99 "";
la val Q1_11 Q1_11;

la val Q1_12 Q1_13 yesno;

la def Q2_1
	1 "Interview only"
	2 "Diary only"
	3 "Both";
la val Q2_1 Q2_1;
	
la def Q2_1a
	1 "Individual diary for all food items"
	2 "Household diary for all food items"
	3 "Household diary for all foods items plus individual diary for selected food items"
	99 "";
la val Q2_1a Q2_1a;

la def Q3_1
	1 "Method 1 One survey round that takes place over a limited time during the year (for example, one, two or three consecutive months)"
	2 "Method 2 Multiple rounds spread throughout a year's period (for example, every three months), with a full sample of households being administered surveys in each round"
	3 "Method 3 Multiple rounds spread throughout a year's period, with sub-sets (usually 1/12) of sample households surveyed in each month"
	99 "";
la val Q3_1 Q3_1;

la val Q4_1a Q4_1b Q4_1c Q4_1d Q4_1e Q4_1f Q4_1g Q4_1h yesno;

la def Q4_2
	1 "The different recall periods are used for all food items (i.e. for each item, data are collected using each recall period)"
	2 "Different recall periods are used for different groups of food (e.g., 7 days for vegetables but 30 days for cereals)"
	99 "";
la val Q4_2 Q4_2;

la val Q4_3 yesno;

la val Q5_1 Q5_1a Q5_1b Q5_1c Q5_1d Q5_2 Q5_3 Q5_3a Q5_3b Q5_3c Q5_3d Q5_4a Q5_4b Q5_4c Q5_4d Q5_4e 
		Q5_5 Q5_5a Q5_5b Q5_5c Q5_6 Q5_7 Q6_118 Q6_119 Q6_120 Q6_121 Q6_122 Q6_123 Q6_124 Q6_125 
		Q6_126 Q6_127 Q6_128 Q6_128a Q6_128b Q6_128c Q6_128d Q6_129 Q6_129a Q6_129b Q6_129c Q6_129d 
		Q6_130 Q6_130a Q6_130b Q6_130c Q6_130d Q6_131 Q6_131a Q6_131b Q6_131c Q6_131d Q6_132 
		Q6_132a Q6_132b Q6_132c Q6_132d Q6_133 Q6_133a Q6_133b Q6_133c Q6_133d Q6_134 Q6_134a 
		Q6_134b Q6_134c Q6_135 Q6_135a Q6_135b Q6_135c Q6_136 Q6_136a Q6_136b Q6_136c Q6_137 
		Q6_137a Q6_137b Q6_137c Q6_137d Q6_137e Q6_137f Q6_138 Q6_138a Q6_138b Q6_138c Q6_139 
		Q6_139a Q6_139b Q6_139c Q6_140 Q6_140a Q6_140b Q6_140c Q6_141 Q6_141a Q6_141b Q6_141c 
		Q6_142 Q6_142a Q6_142b Q6_142c Q6_142d Q6_143 Q6_143a Q6_143b Q6_143c Q6_143d Q6_143e 
		Q6_144 Q6_144a Q6_144b Q6_144c Q6_145 Q6_145a Q6_145b Q6_145c Q6_146 Q6_146a Q6_146b 
		Q6_146c Q6_146d Q6_147 Q6_147a Q6_147b Q6_147c Q7_1 Q7_2 Q7_4 Q7_5 Q7_5c Q7_5d 
		Q7_6 Q7_7 Q7_9 Q7_10 Q7_10c Q7_10d Q7_11 Q7_12 Q7_14 Q7_15c Q7_15d Q7_16 yesno;

la def Q7_18
	1 "Yes, as part of this survey"
	2 "Yes, as part of an independent survey"
	3 "No quantities were reported in local units of measure"
	4 "No, no conversion factors available"
	5 "Don't know if conversion factors are available"
	99 "";
la val Q7_18 Q7_18;

la def Q7_20
	1 "Yes"
	2 "No"
	3 "Don't"
	99 "";
la val Q7_20 Q7_20;

la def Q7_22
	1 "Yes, as part of this household survey"
	2 "Yes, as part of an independent survey"
	3 "No"
	4 "Don't know";
la val Q7_22 Q7_22;

la val Q8_2 Q8_3 Q8_4 Q8_5a Q8_5b Q8_5c Q8_5d Q8_5e Q8_5f Q8_5g Q8_5h Q8_6 
	Q8_9a Q8_9b Q8_9c Q8_9d Q8_9e Q8_9f Q8_9g Q8_9h Q8_9i 
	Q8_10a Q8_10b Q8_10c Q8_10d Q8_10e Q8_10f Q8_10g Q8_13a Q8_13b Q8_13c Q8_13d
	Q8_18a Q8_18b Q8_18c Q8_18d Q8_18e Q8_18f Q8_18g Q8_18h Q8_18i 
	Q8_19a Q8_19b Q8_19c Q8_19d Q8_19e Q8_19f Q8_19g yesno;

la def Q8_7
	1 "Expenditures"
	2 "Quantities"
	3 "Both"
	99 "";
la val Q8_7 Q8_7;

la val Q8_24 Q8_25 yesno;

la def Q8_26
	1 "Individual"
	2 "Household"
	3 "Both"
	99 "";
la val Q8_26 Q8_26;

la def Q9_1
	1 "Yes"
	2 "No"
	3 "Yes, but not only for household members (may include guests)"
	99 "";
la val Q9_1 Q9_1;

la def Q9_2
	1 "Individual"
	2 "Household"
	3 "Both"
	99 "";
la val Q9_2 Q9_2;

la def Q9_6
	1 "Individual"
	2 "Household"
	3 "Both"
	99 "";
la val Q9_6 Q9_6;

la val Q9_3 Q9_4 Q9_5 Q9_7 Q9_8 Q9_9 Q9_10 Q9_11 Q9_12 Q9_13 Q9_14 yesno;

la val Q10_1 Q10_2a Q10_2b Q10_2c Q10_2d Q10_3a Q10_3b Q10_4 Q10_5 Q10_7 yesno;

# delimit cr

saveold "$outputdata\HCES assessment 2012__100-country dataset_with_labels.dta", replace

